/* ------------ reset ------------ */

html, body {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-size: 12px;
}

*, *::before, *::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* .container { overflow: hidden; } */

a {text-decoration: none; color: #323232;}

.title__p {
  text-align: center;
  padding: 5%;
  font-size: 3rem;
  font-weight: 400;
}

@media (max-width: 768px) {
  .title__p { font-size: 2rem; padding: 35px; }
}

.title__h1 {
  text-align: center;
  padding: 5%;
  font-size: 4rem;
  font-weight: 500;
}

@media (max-width: 768px) {
  .title__h1 { font-size: 2rem; padding: 35px; }
}

.img-res { max-width: 100%; width: 100%; height: auto; }
.img-desk { max-width: 100%; width: 90%; height: 80vh; display: block; margin: 0 auto; border-radius: 30px; object-fit: cover; }
.img-hero { max-width: 100%; width: 100%; height: 100vh; }

/* ------------ header ------------ */

.header {
  background-color: #f5f5f7;  
  position: fixed;
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  padding: 5px;
  height: 4vh;
  gap: 1.5rem;
}

.menu li { display: inline-block; }

.logo { height: 80%; }

.logo img { height: 100%; width: auto; }

.menu a { padding: 20px; }
.menu a:hover { color: #bb9351; }

.hamburger { display: none; }
.logo_sma img { display: none; }


/* ------------ header_sma ------------ */

@media (max-width: 768px) {

  .logo img { display: none; }
  .logo_sma img { display: block; }


  .header {
    background-color: #ffffff;
    padding: 25px;
  }

  .menu {
    background-color: #fff;
    position: absolute;
    top: -100vh;
    left: 0;
    width: 100%;
    height: 100vh;
    font-size: 28px;
    font-weight: 500;
    text-align: left;
    padding-left: 25px;
    line-height: 1.8;
    transition: all 0.5s cubic-bezier(.215, .61, .355, 1);
  }

  .menu ul { margin-top: 55px;}

  .menu li { width: 100%; }

  .open .menu { top: 0; }

  .logo_sma { display: block; position: absolute; top: 10px; left: 10px; }

  .logo_sma img { width: 30px; }

  .open .logo_sma { display: none; }

  .hamburger {
    display: block;
    position: absolute;
    height: 25px;
    width: 18px;
    top: 15px;
    right: 15px;
  }

  .hamburger span {
    display: block;
    position: absolute;
    width: 100%;
    height: 2px;
    left: 0;
    border-radius: 2px;
    background-color: #323232;
    transition: transform 0.4s ease, top 0.4s ease, opacity 0.4s ease;
  }

  .hamburger span:nth-child(1) { top: 5px; }
  .hamburger span:nth-child(2) { top: 13px; }
  .open .hamburger span:nth-child(1) { transform: rotate(45deg); top: 12px; }
  .open .hamburger span:nth-child(2) { transform: rotate(-45deg); top: 12px; } 
}




/* ------------ hero ------------ */

.hero_desk { display: block; }
.hero_sma { display: none; }

@media (max-width: 768px) {
  .hero_desk { display: none; }
  .hero_sma { display: block; }
}


/* ------------ maps ------------ */

 .map-responsive {
  overflow: hidden;
  padding-bottom: 120%;
  position: relative;
  height: 0;
}

.map-responsive iframe {
  border: 0;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  position: absolute;
}

@media (min-width: 768px) {
  .map-responsive {
    padding-bottom: 600px;
  }
}
/* ------------ contact-form ------------ */

.contact-section {
  max-width: 600px;
  margin: 40px auto;
  padding: 20px;
  background-color: #f5f5f7;
  border-radius: 12px;
  box-shadow: 4px 8px 10px 0 rgba(0, 0, 0, 0.1);
}

.contact-section p {
  text-align: center;
  margin-bottom: 30px;
  color: #323232;
  font-weight: 700;
  font-size: 27px;
}

.contact-form input,
.contact-form textarea {
  width: 100%;
  padding: 12px;
  margin-bottom: 15px;
  border: 1px solid #fff;
  border-radius: 8px;
  font-size: 16px;
  box-sizing: border-box;
}

.contact-form button {
  width: 100px;
  display: block;
  margin: auto;
  background-color: #323232;
  color: white;
  padding: 14px;
  font-size: 16px;
  border: none;
  border-radius: 25px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.contact-form button:hover {
  background-color: #bb9351;
  color: #323232;
}

@media (max-width: 768px) {
  .contact-section {
    margin: 40px;
    padding: 30px;
  }
}

/* ------------ footer ------------ */

.footer {
  color: #323232;
  padding: 10px;
  width: 100%;
  text-align: center;
}

@media (max-width: 768px) {
  .footer {
    font-size: 10px;
  }
}


